Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 07-25-2013, 12:38 PM   #1
dwlamb
Member
dwlamb began at the beginning.
 
Posts: 11
Karma: 10
Join Date: Apr 2013
Device: Android Smartphone
challenges installing Sigil

I am attempting to install Sigil on a fresh install of Kubuntu 12.04. Doing some research, I found this article http://linuxg.net/how-to-install-sig...nd-linux-mint/.

Following the steps after adding repository ppa:sunab/ppa I receive back the following about dependencies:
Code:
The following packages have unmet dependencies:
 sigil : Depends: libqt5concurrent5 (>= 5.0.2) but it is not installable
         Depends: libqt5core5 (>= 5.0.2) but it is not installable
         Depends: libqt5gui5 (>= 5.0.2) but it is not installable
         Depends: libqt5network5 (>= 5.0.2) but it is not installable
         Depends: libqt5printsupport5 (>= 5.0.2) but it is not installable
         Depends: libqt5webkit5 but it is not installable
         Depends: libqt5widgets5 (>= 5.0.2) but it is not installable
E: Unable to correct problems, you have held broken packages.
Is there a solution?
dwlamb is offline   Reply With Quote
Old 07-25-2013, 12:58 PM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 8,919
Karma: 40404050
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
There is currently no repo/ppa version of Sigil 0.7.x available. Working versions anyway. That's because the Qt5 dependency isn't able to be resolved using standard repos and ppas. If you want to run version 0.7.0 and higher, you will need to install Qt5 manually and build Sigil from source using the instructions provided on Sigil's code.google home.

Either that, or try the unofficial binary debian packages I built that people are reporting good luck with so far.
http://www.mobileread.com/forums/sho...d.php?t=211754

Last edited by DiapDealer; 07-25-2013 at 01:52 PM.
DiapDealer is offline   Reply With Quote
 
Enthusiast
Old 07-25-2013, 04:23 PM   #3
dwlamb
Member
dwlamb began at the beginning.
 
Posts: 11
Karma: 10
Join Date: Apr 2013
Device: Android Smartphone
@DiapDealer

Thanks for the reply and the unofficial release of 0.7.x.

Though the how-to for compiling from source is simple at first glance, I found it to be broken.

The qt libraries have been updated and though I did find the updated binaries for installation, there is an error generated that tears one's hair out trying to rectify.

Best advice would be to download your unofficial release.

Last edited by dwlamb; 07-25-2013 at 04:24 PM. Reason: ye dreaded typos
dwlamb is offline   Reply With Quote
Old 07-25-2013, 06:41 PM   #4
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 8,919
Karma: 40404050
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by dwlamb View Post
Though the how-to for compiling from source is simple at first glance, I found it to be broken.
Well technically... maybe. Probably more accurate to say wounded, perhaps. Yes, the wget command for the Qt 5.0.2 install is no longer valid, but it's not too hard to track down the correct one. Everything else is good. Sigil will build on your system.

Quote:
The qt libraries have been updated and though I did find the updated binaries for installation, there is an error generated that tears one's hair out trying to rectify.
That's probably where you made your mistake. You should have used the older Qt version that was named in the build instructions for Sigil 0.7.2 (Qt 5.0.2 -- available in the download archives).

If you try that and still run into trouble, feel free to post the specific error message so someone can possibly help.
DiapDealer is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing Sigil. "Associate ebooks with Sigil" automa Sigil 2 06-07-2013 08:29 AM
installing sigil on kubuntu Tambayo Sigil 3 04-23-2012 10:05 AM
Installing Sigil problem Kathryn B Sigil 1 03-25-2011 10:00 AM
Installing Sigil Jabby Sigil 2 12-07-2010 09:18 PM
help installing sigil dalitec Sigil 1 05-05-2010 04:57 PM


All times are GMT -4. The time now is 10:23 PM.


MobileRead.com is a privately owned, operated and funded community.